Skip to main content

Documentation Index

Fetch the complete documentation index at: https://api.docs.onlydrams.app/llms.txt

Use this file to discover all available pages before exploring further.

Returns

Returns a list of the user’s empty bottles.

Parameters

query
string
The query to search for.
sort_by
string
The field in which the sort should be applied to. Can be only one item. Default is name.
sort
string
The order in which the response should be sorted. Can be set to order by desc or asc. Default is desc.
page
int
The page number. Default is 1.
per
int
The amount of records returned per page. Default is 20.
  curl -X GET https://api.onlydrams.app/api/v1/users/:id/collection/empties \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer $ACCESS_TOKEN"
{
	"total": 6,
	"has_more": false,
	"data": [
		{
			"id": "7f1e7669-03ba-4d2d-9555-5b34a565c82d",
			"name": "Buffalo Trace Bourbon",
			"proof": 90.0,
			"size": "750",
			"image_url": "https://storage.googleapis.com/onlydrams/diqehugjxchud4k118jjao4d84ae",
			"bottle_id": "7f1e7669-03ba-4d2d-9555-5b34a565c82d",
			"emptied_on": "2024-06-07T00:28:46.140Z"
		},
		...
	]
}